program add64;

%include clunk.typ;

var
  value1,value2,sum	: clunk_typ;
  ids : integer;

%include add64.ext;

begin
  value1[1] := 10;
  value1[2] := 100;
  value1[3] := 1000;
  value1[4] := 10000;
  value2[1] := 10000;
  value2[2] := 1000;
  value2[3] := 100;
  value2[4] := 10;
  
  add64(value1,value2,sum,ids);

  writeln('ids:',ids);
  writeln(value1[1],value1[2],value1[3],value1[4]);
  writeln(value2[1],value2[2],value2[3],value2[4]);
  writeln(sum[1],sum[2],sum[3],sum[4]);

end.
